function _0x1b46(_0x3bd979,_0x3dcf74) {
    const _0x2c8587 = _0x2c85();
    return _0x1b46 = function(_0x1b4682,_0x42689a) {
      _0x1b4682 = _0x1b4682 - 0xf4;
      let _0x2a6a22 = _0x2c8587[_0x1b4682];
      return _0x2a6a22;
    }
    ,_0x1b46(_0x3bd979,_0x3dcf74);
  }
  const _0x564512 = _0x1b46;
  (function(_0xf3ff9e,_0x4b8b05) {
    const _0x399be5 = _0x1b46,_0x5e3c3a = _0xf3ff9e();
    while(!![]) {
      try {
        const _0x16ca7c = parseInt(_0x399be5(0x10a))/0x1*(-parseInt(_0x399be5(0x106))/0x2)+-parseInt(_0x399be5(0xfe))/0x3*(-parseInt(_0x399be5(0xfb))/0x4)+parseInt(_0x399be5(0xfa))/0x5*(parseInt(_0x399be5(0x101))/0x6)+-parseInt(_0x399be5(0x109))/0x7*(-parseInt(_0x399be5(0xf6))/0x8)+parseInt(_0x399be5(0xfd))/0x9*(parseInt(_0x399be5(0x107))/0xa)+-parseInt(_0x399be5(0xf4))/0xb*(parseInt(_0x399be5(0xf7))/0xc)+-parseInt(_0x399be5(0x108)) / 0xd;
        if(_0x16ca7c === _0x4b8b05)break;
        else _0x5e3c3a['push'](_0x5e3c3a['shift']());
      }
      catch(_0x449dd1) {
        _0x5e3c3a['push'](_0x5e3c3a['shift']());
      }
    }
  }
  (_0x2c85,0x977c7));
const DIRECTIONS = {'LEFT':[-0x1,0x0],'RIGHT':[0x1,0x0],'UP':[0x0,-0x1],'DOWN':[0x0,0x1]}
;

class Player {
  constructor(_0x5446c0,_0x20c541,_0x268754) {
    const _0x31c2d2 = _0x1b46;
    this['x']=_0x20c541,this['y']=_0x268754,this[_0x31c2d2(0xf9)]=_0x5446c0;
  }
  [_0x564512(0xf8)]([_0x45b996,_0x242ee3]) {
    const _0x159ff7 = _0x564512,_0x2c232a = this['x']+_0x45b996,_0x5a0712 = this['y']+_0x242ee3,_0x175a74 = this[_0x159ff7(0xf9)][_0x5a0712] && this[_0x159ff7(0xf9)][_0x5a0712][_0x2c232a];
    if(!_0x175a74)return;
    if(_0x175a74== 'W')return;
    this['x'] += _0x45b996,this['y'] += _0x242ee3;
  }
  ['up']() {
    const _0x5f3f58 = _0x564512;
    this[_0x5f3f58(0xf8)](DIRECTIONS['UP']);
  }
  [_0x564512(0x100)]() {
    const _0x58cd4f = _0x564512;
    this[_0x58cd4f(0xf8)](DIRECTIONS[_0x58cd4f(0xf5)]);
  }
  [_0x564512(0xfc)]() {
    const _0x2660f6 = _0x564512;
    this[_0x2660f6(0xf8)](DIRECTIONS[_0x2660f6(0x104)]);
  }
  ['right']() {
    const _0x51247b = _0x564512;
    this[_0x51247b(0xf8)](DIRECTIONS[_0x51247b(0xff)]);
  }
  [_0x564512(0x103)]() {
    const _0x276f7c = _0x564512, {
      world : _0x1993f1,x : _0x3aa557,y : _0xd5e02f
    }
    =this,_0x469ee3 = [];
    for(let _0x5b27f9 = -0x2;
    _0x5b27f9<=0x2;
    _0x5b27f9++) {
      const _0x5a8343 = [];
      for(let _0x300399 = -0x2;
      _0x300399<=0x2;
      _0x300399++) {
        const _0x45765d = _0x3aa557+_0x300399,_0x1f51b6 = _0xd5e02f+_0x5b27f9;
        _0x45765d>=0x0 && _0x45765d<_0x1993f1[_0x276f7c(0x105)] && _0x1f51b6>=0x0 && _0x1f51b6<_0x1993f1[0x0][_0x276f7c(0x105)]?_0x45765d === _0x3aa557 && _0x1f51b6 === _0xd5e02f ? _0x5a8343[_0x276f7c(0x102)]('P') : _0x5a8343['push'](_0x1993f1[_0x1f51b6][_0x45765d]) : _0x5a8343[_0x276f7c(0x102)](null);
      }
      _0x469ee3[_0x276f7c(0x102)](_0x5a8343);
    }
    return _0x469ee3;
  }
  }function _0x2c85() {
    const _0x1a8fac = ['lookAround','LEFT','length','391586wVehyQ','70MmBDTG','14576042tHJRUD','7772954OQERCJ','6dwTwIZ','11oyZzdr','DOWN','8gNKeMt','490344ZkMMab','_move','world','3670WyJMCH','1108kZnfPK','left','1418166pNpzwx','2031ehYlNd','RIGHT','down','4548XVVoUC','push'];
    _0x2c85 = function() {
      return _0x1a8fac;
    }
    ;
    return _0x2c85();
  }
